#ifndef ANSWER_H
#define ANSWER_H

#include <qdialog.h>
#include <qpushbutton.h>
#include <qlayout.h>
class KPushButton;

class Answer : public QDialog
{
    Q_OBJECT

public:
    Answer( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~Answer();

    QPushButton* btnReplay;
    KPushButton* btnQuit;
	 bool getAnswer;

public slots:
    void exitAnswer();
    void replayGame();
	 void doAnswer(bool result);

protected:
    QGridLayout* AnswerLayout;
    QHBoxLayout* Layout2;

signals:
	void gameExit();
	void gameReplay();
};

#endif // ANSWER_H
